:root {
    /* Colors. */
    --text: #000;
    --background: #b9eab3;
    --accent-dark: #460320;
    --accent: #de2e72;
    --accent-light: #ffb6c0;

    /* Fonts. */
    --basefont: "Times New Roman", helvetica, Arial, sans-serif;
    --title-font: Butler, georgia, serif;
    --accent-font: Bridge, georgia, serif;
    --text-size: 16px;

    /* Misc styling. */
    --borders-normal: lightgray 2px solid;
    --borders-thick: lightgrey 5px solid;
    --max-width: 800px;
    --spacing: 15px;
    --border-radius: 4px;

    --halfspacing: calc(var(--spacing) / 2);
    --doublespacing: calc(var(--spacing) * 2)
}

* {
    box-sizing: border-box;
    scrollbar-color: var(--accent);
}

body {
    overflow-x: hidden;
    overflow-y: scroll;
    padding: var(--spacing) 5%;
    background-image: linear-gradient(rgba(255, 255, 255, 0), var(--background)), url("/Images/background_green_001.png");
    background-attachment: fixed;
    color: var(--text);
    font-family: var(--basefont), sans-serif;
    font-size: var(--text-size);
    line-height: 1.5em;
}

.container {
    margin: var(--spacing);
    padding: var(--spacing);
    background-color: white;
    box-shadow: 0px 8px 16px 0px rgba(67, 7, 7, 0.2);
    border: solid lightgray 2px;
    border-radius: 15px;
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
}

footer {
    width: 100%;
    display: block;
    text-align: center;
    background-color: lightgrey;
    font-size: .9em;
    margin: var(--spacing) auto;
}

.character {
    width: 200px;
    height: auto;
    max-height: 500px;
    overflow: hidden;
    text-align: center;
}

.character-name {
    font-size: larger;
    color: var(--accent-dark)
}

.character img {
    width: 200px;
    height: 200px;
}

.character-tags {
  display: inline-block;
  color: white;
  padding: 8px 20px;
  border-radius: 25px;
  background-color: var(--accent-light);
  margin-top: 8px;
}

h1 {
    font-family: var(--title-font);
    font-size: 2em;
    color: var(--accent)
}

h2 {
    padding: var(--spacing);
    width: 100%;
    background-color: var(--accent);
    color: white;
    font-size: 1.8em;
    text-align: center;
}

h3 {
    padding: var(--halfspacing);
    color: var(--accent-light);
    font-size: 1.5em;
}

@font-face {
    font-family: Butler;
    src: url(/Fonts/Butler_Regular.otf);
}

@media (min-width: 800px) {}

@media (max-width: 800px) {}